-- bucher.lua
-- Created on:  2020-10-16
-- Author:      Rétro
--
-- API d'abattage d'arbres pour tortures RSI

---
-- \class Bucheron RSI
local RSI_Bucheron = {}
RSI_Bucheron.__index = RSI_Bucheron

rsiT = require("rsiTurtle")

---
-- \brief Constructeur de RSI_Bucheron
function RSI_Bucheron:init()
    local bucheron = {}
    setmetatable(bucheron,RSI_Bucheron)

    ---
    -- \brief Objet parent
    bucheron.base_ = rsiT:init()

    return bucheron
end

---
-- \brief Affiche la position et l'orientation du bucheron
function RSI_Bucheron:print()
    self.base_:print()
end

---
-- \brief Abattre un arbre
-- \return bool Succès
function RSI_Bucheron:chopTree()
    --TODO: Implementer
end

---
-- \brief Couper les arbres dans la zone
-- \param int nLignes   Nombre de lignes
-- \param int nColonnes Nombre de colonnes
-- \return bool Succès
function RSI_Bucheron:main(nLignes, nColonnes)
    --TODO: Implementer
end

return RSI_Bucheron
